Page MenuHomeFreeBSD

www/squidguard: remove optional dependency on expired www/squid33
ClosedPublic

Authored by rene on Mar 14 2015, 10:49 PM.

Details

Reviewers
madpilot
Summary

www/squid33 expired on 2015-03-14, remove it from www/squidguard. Simplify port options while here.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

rene updated this revision to Diff 4226.Mar 14 2015, 10:49 PM
rene retitled this revision from to www/squidguard: remove optional dependency on expired www/squid33.
rene updated this object.
rene edited the test plan for this revision. (Show Details)
rene added a reviewer: madpilot.
madpilot requested changes to this revision.EditedMar 15 2015, 12:09 AM
madpilot edited edge metadata.

Thanks for looking at this!

I have prepared a diff integrating the changes requested below, but I have found no way to upload a diff as a reviewer.

Here you can find the intended patch:

http://www.madpilot.net/~mad/squidguard.diff

Makefile
46–47

There is no need for SQUID options anymore, I would just replace them with an unconditional RUN_DEPENDS on www/squid.

52–53

This can be done with too, the referenced patch can be integrated in the standard port patches.

This revision now requires changes to proceed.Mar 15 2015, 12:09 AM
rene updated this revision to Diff 4229.Mar 15 2015, 11:09 AM
rene edited edge metadata.

New patch, copy of suggested one by madpilot@

madpilot accepted this revision.Mar 15 2015, 11:32 AM
madpilot edited edge metadata.
madpilot set the repository for this revision to rP FreeBSD ports repository.
madpilot edited edge metadata.
This revision is now accepted and ready to land.Mar 15 2015, 11:33 AM
rene closed this revision.Mar 15 2015, 6:17 PM